Package org.apache.sling.servlets.post.impl.helper

# Klasse Chunk

java.lang.Object
org.apache.sling.servlets.post.impl.helper.Chunk

public class Chunk extends Object
`Chunk` encapsulates all chunk upload attributes.

Seit:
  2.3.4

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`Chunk()`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`long`
`getLength()`
Return length of the file parameter.
`long`
`getOffset()`
Return offset of the chunk.
`boolean`
`isCompleted()`
Return true if request contains last chunk as a result upload should be finished.
`void`
`setCompleted(boolean complete)`
Set complete flag
`void`
`setLength(long length)`
Set length of file parameter.
`void`
`setOffsetValue(long offset)`
Set offset value.

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### Chunk

public Chunk()

## Methodendetails

### getOffset

public long getOffset()
Return offset of the chunk.

Gibt zurück:
  the offset

### setOffsetValue

public void setOffsetValue(long offset)
Set offset value.

Parameter:
  `offset` - the offset

### getLength

public long getLength()
Return length of the file parameter.

Gibt zurück:
  the length

### setLength

public void setLength(long length)
Set length of file parameter.

Parameter:
  `length` - the length

### isCompleted

public boolean isCompleted()
Return true if request contains last chunk as a result upload should be finished. It is useful in scenarios where file streaming where file size is not known in advance.

Gibt zurück:
  if the chunk is completed

### setCompleted

public void setCompleted(boolean complete)
Set complete flag

Parameter:
  `complete` - the complete flag